Go Down

Topic: New library for BMP085 (Read 833 times) previous topic - next topic

mjmes

The Adafruit_BMP085 library for the BMP085 barometer does not compile (IDE 1.5.6R2) on the DUE while it does on the UNO and MEGA.

Post http://forum.arduino.cc/index.php?topic=38082.0;prev_next=prev#new is closed for a reply but it points to a sketch with a  library  which compiles and does work with the DUE but provides the wrong answers for both pressures and temperatures:
Code: [Select]
Temp(C):1145  Alt(cm):-36895  Pressure(Pa):11848
Temp(C):1145  Alt(cm):-36823  Pressure(Pa):11852
Temp(C):1145  Alt(cm):-37110  Pressure(Pa):11835



Is there an updated BMP085 library around for the DUE?
Thanks!

robtillaart

didn't the due haver some i2c problems?
Rob Tillaart

Nederlandse sectie - http://arduino.cc/forum/index.php/board,77.0.html -
(Please do not PM for private consultancy)

mjmes

Thanks for the tip... I never thought Arduino would release the library with errors and not correct it. Searching for "Arduino due"+ " i2c problems" gave many problem listings... but a solution (unless I missed it) does not seem in sight.

liudr

Arduino is a project in progress. Give it some time.

robtillaart

You could try if the soft I2C lib works on a DUE?
Never tried it

- http://playground.arduino.cc/Main/SoftwareI2CLibrary -
Rob Tillaart

Nederlandse sectie - http://arduino.cc/forum/index.php/board,77.0.html -
(Please do not PM for private consultancy)

Go Up